Skip to content

Category Management

[EXPERIMENTAL] Endpoints for managing Categories.

Experimental Status: These endpoints have an experimental status since their complexity was impacted by a removed feature. We intend at the very least to vastly simplify these endpoints by removing the code-subresource.

[EXPERIMENTAL] Get list of all categories of an entity

Request

[EXPERIMENTAL] This endpoint allows you to retrieve list of categories of an entity.

Security
clientCredentials
Path
entitystringrequired

The unique entity for a type

Enum:"order""location""transport-request"
Query
pageinteger, (int32), >= 1

Number of the page to retrieve, see also Paging section.

Default:1
page_sizeinteger, (int32), [ 1 .. 100 ]

Number of results by page, see also Paging section.

Default:10
curl -i -X GET \
  'https://developer.conundra.eu/_mock/apis/order-book/order-book-api/categories/{entity}?page=1&page_size=10' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Responses

OK

Bodyapplication/json
dataArray of objects, [ 0 .. 100 ] items, unique(EntityType)
pageobject(Paging)
Response
{ "data": [ {} ], "page": { "total_items": 100, "total_pages": 10, "page_size": 10, "current_page": 1 } }